import { PlayerId } from "./Player"

export enum MovementActionKind {
    SCREEN = "SCREEN",
    DRIBBLE = "DRIBBLE",
    MOVE = "MOVE",
}

export type Action = {type: MovementActionKind } & MovementAction

export interface MovementAction {
    moveFrom: PlayerId
    moveTo: PlayerId
}
