import RemoveIcon from "../../assets/icon/remove.svg?react"
import "../../style/actions/remove_action.css"

export interface RemoveActionProps {
    onRemove: () => void
}

export default function RemoveAction({ onRemove }: RemoveActionProps) {
    return (
        <RemoveIcon
            className="remove-action"
            onClick={onRemove}
        />
    )
}
